00:00
04:01

React Intermediate: Upgrade to MobX 5 - [013]

In this episode we'll cover upgrading to mobx 5. The only thing we need to change to get everything working again is in the main.js file

Package.json

In our package.json file make sure mobx is the latest version

{  "mobx": "^5.6.0"  "mobx-react": "^5.4.2"}

Enforce Action for MobX

// main.js// ...import { configure } from 'mobx'// ...configure({  enforceActions: "always"})

That's it! It's a quick post our app should successfully boot!